org.apache.jmeter.visualizers

## Class RenderAsRegexp

- java.lang.Object
- - org.apache.jmeter.visualizers.RenderAsRegexp

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.util.EventListener, ResultRenderer

      public class RenderAsRegexp
      extends java.lang.Object
      implements ResultRenderer, java.awt.event.ActionListener

  Implement ResultsRender for Regexp tester

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderAsRegexp()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)` Display the response as text or as rendered HTML.
    `void` | `clearData()`
    `void` | `init()`
    `void` | `renderImage(SampleResult sampleResult)`
    `void` | `renderResult(SampleResult sampleResult)`
    `void` | `setBackgroundColor(java.awt.Color backGround)`
    `void` | `setLastSelectedTab(int index)`
    `void` | `setRightSide(javax.swing.JTabbedPane side)`
    `void` | `setSamplerResult(java.lang.Object userObject)`
    `void` | `setupTabPane()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderAsRegexp

          public RenderAsRegexp()

  - ### Method Detail

    - #### clearData

          public void clearData()

      Specified by:
        `clearData` in interface `ResultRenderer`

    - #### init

          public void init()

      Specified by:
        `init` in interface `ResultRenderer`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Display the response as text or as rendered HTML. Change the text on the button appropriate to the current display.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Parameters:
        `e` - the ActionEvent being processed

    - #### renderResult

          public void renderResult(SampleResult sampleResult)

      Specified by:
        `renderResult` in interface `ResultRenderer`

    - #### setupTabPane

          public void setupTabPane()

      Specified by:
        `setupTabPane` in interface `ResultRenderer`

    - #### setRightSide

          public void setRightSide(javax.swing.JTabbedPane side)

      Specified by:
        `setRightSide` in interface `ResultRenderer`

    - #### setSamplerResult

          public void setSamplerResult(java.lang.Object userObject)

      Specified by:
        `setSamplerResult` in interface `ResultRenderer`

    - #### setLastSelectedTab

          public void setLastSelectedTab(int index)

      Specified by:
        `setLastSelectedTab` in interface `ResultRenderer`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `ResultRenderer`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string to be displayed by the ComboBox

    - #### renderImage

          public void renderImage(SampleResult sampleResult)

      Specified by:
        `renderImage` in interface `ResultRenderer`

    - #### setBackgroundColor

          public void setBackgroundColor(java.awt.Color backGround)

      Specified by:
        `setBackgroundColor` in interface `ResultRenderer`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.